Package com.ads.services.webservice

# Class ResourceManagerService

java.lang.Object
com.ads.services.webservice.ResourceManagerService

public class ResourceManagerService extends Object
The Simple Object Access Protocol or SOAP is a protocol for sending and receiving messages between applications
Web Services are based on the SOAP protocol.The response can be either JSON or XML.
Contains the methods related to perform the operations such as creation, update, deletion and retrieval of Users, Roles, etc.
All the WebServices methods have return type String - meaning if the method is execution is successful, then it will return a string in the form of JSON or XML String based on the outputFormat parameter given by the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceManagerService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRole(String userName, String password, String outputFormat, String roleName)`
  Returns the Role object for the specified roleName i.e all the respective details regarding the role,such as roleName,roleId,roleDescription and auditHistory.
  `String`
  `getRoles(String userName, String password, String outputFormat)`
  Returns the list of Role objects where each Role object contains details like roleName,roleId, roleDescription and auditHistory.
  `String`
  `getRolesWithOptions(String userName, String password, String outputFormat, int fillOptions)`
  Returns the list of Role objects where each Role object contains details like roleName,roleId,roleDescription,auditHistory and list of permissions that the role has based on the fillOptions parameter value passed with reference of `APIConstants.RSMFillOptions`.
  `String`
  `getRoleWithOptions(String userName, String password, String outputFormat, String roleName, int fillOptions)`
  Returns the Role object for the specified roleName i.e all the respective details regarding the role,such as roleName,roleId, roleDescription, auditHistory and also returns list of permissions that the role has based on the fillOptions parameter value passed with reference of `APIConstants.RSMFillOptions`.
  `String`
  `getUserRoles(String userName, String password, String outputFormat, String userId)`
  Returns the list of Role objects for the specified userId where each Role object contains all the respective details such as id,name, description, auditHistory etc..

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceManagerService

    public ResourceManagerService()

- ## Method Details

  - ### getRole

    public String getRole(String userName, String password, String outputFormat, String roleName)
    Returns the Role object for the specified roleName i.e all the respective details regarding the role,such as roleName,roleId,roleDescription and auditHistory. Specifying the roleName is mandatory.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
      `roleName` - String
    Returns:
      String - role Object in the form of JSON or XML String
    Since:
      8.3

  - ### getRoleWithOptions

    public String getRoleWithOptions(String userName, String password, String outputFormat, String roleName, int fillOptions)
    Returns the Role object for the specified roleName i.e all the respective details regarding the role,such as roleName,roleId, roleDescription, auditHistory and also returns list of permissions that the role has based on the fillOptions parameter value passed with reference of `APIConstants.RSMFillOptions`.
    Here fillOptions parameter takes value of either `APIConstants.RSMFillOptions.ROLE_PERMISSIONS` or `APIConstants.RSMFillOptions.NONE`. If the fillOptions takes value of `APIConstants.RSMFillOptions.ROLE_PERMISSIONS` i.e 2 then the returned Role object contains role details and the list of role permissions. If the fillOptions takes value of `APIConstants.RSMFillOptions.NONE` i.e 0 then the returned Role object contains only role details. Specifying the roleName and fillOptions are mandatory.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
      `roleName` - String
      `fillOptions` - `APIConstants.RSMFillOptions` int
    Returns:
      String - role Object in the form of JSON or XML String
    Since:
      8.3

  - ### getRoles

    public String getRoles(String userName, String password, String outputFormat)
    Returns the list of Role objects where each Role object contains details like roleName,roleId, roleDescription and auditHistory.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
    Returns:
      String - role Objects in the form of JSON or XML String
    Since:
      8.3

  - ### getRolesWithOptions

    public String getRolesWithOptions(String userName, String password, String outputFormat, int fillOptions)
    Returns the list of Role objects where each Role object contains details like roleName,roleId,roleDescription,auditHistory and list of permissions that the role has based on the fillOptions parameter value passed with reference of `APIConstants.RSMFillOptions`.
    Here fillOptions parameter takes value of either `APIConstants.RSMFillOptions.ROLE_PERMISSIONS` or `APIConstants.RSMFillOptions.NONE`.
    If the fillOptions takes value of `APIConstants.RSMFillOptions.ROLE_PERMISSIONS` i.e 2 then the each Role object contains role details and the list of role permissions. If the fillOptions takes value of `APIConstants.RSMFillOptions.NONE` i.e 0 then the each Role object contains only role details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
      `fillOptions` - `APIConstants.RSMFillOptions` int
    Returns:
      String - role Objects in the form of JSON or XML String
    Since:
      8.3

  - ### getUserRoles

    public String getUserRoles(String userName, String password, String outputFormat, String userId)
    Returns the list of Role objects for the specified userId where each Role object contains all the respective details such as id,name, description, auditHistory etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - - String
      `password` - - String
      `outputFormat` - - String
      `userId` - - String
    Returns:
      String - role Object in the form of JSON or XML String
    Since:
      11.0